<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sightsArray = array();
$sortId = 1;
$longName = 'Neue Anmeldung';
$tool_id = 24;
$toolName = 'FaAnmeldung';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Neue Anmeldung';
$sight->id = 'AnmeldungEinstieg';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\AnmeldungEinstieg\AnmeldungEinstiegView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Anmeldeformular';
$sight->id = 'AnmeldeFormular';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\AnmeldeFormular\AnmeldeFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Anmeldebestätigung';
$sight->id = 'Anmeldebestaetigung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\HandleAnmeldung\HandleAnmeldungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurse (Anmeldebestätigung)';
$sight->id = 'Kurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\HandleAnmeldung\KurseView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Weitere Teilnehmer';
$sight->id = 'Kurs';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\HandleAnmeldung\WeitereTeilnehmerView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Anmeldebutton';
$sight->id = 'FaAnmeldeButton';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->nameHeader = 'Beschriftung';
$sight->nameBody = 'Beschreibung (Titel)';
$sight->nameFooter = 'Symbol';
$sight->nameNoData = 'Farbe';
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\KursAnmeldeButtonView(null);
array_push($sightsArray, $sight);

$sight = \SightItemTool::createForHTMLEMail();
$sight->name = 'Anmeldebestätigung für Mitarbeiter';
$sight->id = 'AnmeldebestaetigungMa';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Firma\Anmeldung\HandleAnmeldung\MaEMail\MitarbeiterEmailView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Kursdetails';
$sight->id = 'ReiterKursdetails';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\KursDetails\KursDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Inhalt';
$sight->id = 'ReiterInfo';
$sight->showNoData = false;
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Info\InfoView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Termine';
$sight->id = 'ReiterTermine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Downloads';
$sight->id = 'ReiterDownloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads\DownloadReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Downloads';
$sight->id = 'Downloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads\DownloadView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Fotos';
$sight->id = 'ReiterFotos';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->view = new  \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Fotos\FotosView(null);
array_push($sightsArray, $sight);